function DATAinsert = cellMakerTL(IDcentralina,DTcatena,NodeNum,cTL,ListaDate,...
                ErrTiltLink,ARRAYdateTL,X,Y,Z,Xlocal,Ylocal,Zlocal,HShift,HShift_local,...
                AlfaX,AlfaY,Azimuth,TempDef,Speed,Speed_local,Acceleration,Acceleration_local)

TempDef = TempDef';
l = ListaDate;
DATAinsert = cell(l,22);

for ii=1:l
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdateTL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdateTL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = X(cTL,ii);
    DATAinsert{ii,7} = Y(cTL,ii);
    DATAinsert{ii,8} = Z(cTL,ii);
    DATAinsert{ii,9} = Xlocal(cTL,ii);
    DATAinsert{ii,10} = Ylocal(cTL,ii);
    DATAinsert{ii,11} = Zlocal(cTL,ii);
    DATAinsert{ii,12} = HShift(cTL,ii);
    DATAinsert{ii,13} = HShift_local(cTL,ii);
    DATAinsert{ii,14} = Azimuth(cTL,ii); 
    DATAinsert{ii,15} = TempDef(cTL,ii);
    DATAinsert{ii,16} = Speed(cTL,ii);
    DATAinsert{ii,17} = Speed_local(cTL,ii);
    DATAinsert{ii,18} = Acceleration(cTL,ii);
    DATAinsert{ii,19} = Acceleration_local(cTL,ii);
    DATAinsert{ii,20} = ErrTiltLink(cTL,ii);
    DATAinsert{ii,21} = AlfaX(cTL,ii);
    DATAinsert{ii,22} = AlfaY(cTL,ii);
end

end